=== modified file 'bzrlib/tests/per_versionedfile.py'
--- bzrlib/tests/per_versionedfile.py	2010-02-23 07:43:11 +0000
+++ bzrlib/tests/per_versionedfile.py	2010-05-14 13:22:18 +0000
@@ -999,12 +999,14 @@
         # we should be able to read from http with a versioned file.
         vf = self.get_file()
         # try an empty file access
-        readonly_vf = self.get_factory()('foo', get_transport(self.get_readonly_url('.')))
+        readonly_vf = self.get_factory()('foo', get_transport(
+                self.get_readonly_url('.')))
         self.assertEqual([], readonly_vf.versions())
         # now with feeling.
         vf.add_lines('1', [], ['a\n'])
         vf.add_lines('2', ['1'], ['b\n', 'a\n'])
-        readonly_vf = self.get_factory()('foo', get_transport(self.get_readonly_url('.')))
+        readonly_vf = self.get_factory()('foo', get_transport(
+                self.get_readonly_url('.')))
         self.assertEqual(['1', '2'], vf.versions())
         for version in readonly_vf.versions():
             readonly_vf.get_lines(version)
@@ -1014,7 +1016,7 @@
 
     def get_file(self):
         return WeaveFile('foo', get_transport(self.get_url('.')), create=True,
-            get_scope=self.get_transaction)
+            get_scope=self.get_transaction, access_mode='r+')
 
     def get_factory(self):
         return WeaveFile

